Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ATI Catalyst™ 8.8 (8.522)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Tue Sep 09, 2008 4:47 pm    Post subject: Reply with quote

VinzC wrote:
For those who want to check the "testing" branch, I've got back my initial frame rate (~1000FPS) with GLXGears, xorg-server-1.5, mesa-7.1 and xf86-video-ati-6.9.0. I'm not using the CVS branch. I'm still testing further to see if the freezes I experienced are gone.


EDIT: Video card = ATI Radeon Mobility X1400.


What kind of freezes? I've been getting random hard lockups since I started using git stuff from the x11 overlay (xorg-server, mesa, drm, xf86-video-ati, etc).
I have the same card as yours.
Back to top
View user's profile Send private message
VinzC
Advocate
Advocate


Joined: 17 Apr 2004
Posts: 4987
Location: Dark side of the mood

PostPosted: Tue Sep 09, 2008 7:12 pm    Post subject: Reply with quote

mikkoc wrote:
What kind of freezes?

Complete system freezes, like I described in another post.
_________________
Gentoo addict: tomorrow I quit, I promise!... Just one more emerge...
1739!
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Tue Sep 09, 2008 8:01 pm    Post subject: Reply with quote

yea, same as mine, look at my answer in your thread.
Back to top
View user's profile Send private message
a.b.
Apprentice
Apprentice


Joined: 23 Mar 2008
Posts: 218
Location: Anus Mundi, Germany

PostPosted: Thu Sep 18, 2008 3:19 pm    Post subject: Reply with quote

Catalyst 8.9 aka 8.532 has been released
Back to top
View user's profile Send private message
VinzC
Advocate
Advocate


Joined: 17 Apr 2004
Posts: 4987
Location: Dark side of the mood

PostPosted: Thu Sep 18, 2008 3:33 pm    Post subject: Reply with quote

a.b. wrote:
Catalyst 8.9 aka 8.532 has been released

http://www.phoronix.com/scan.php?page=article&item=amd_catalyst_89_linux&num=1 wrote:
Most notably what this release lacks is support for X.Org 7.4 / X Server 1.5.0. That support is expected to arrive next month. If it doesn't arrive, it will leave a lot of unhappy users with Ubuntu 8.10 and the other distributions being released this fall.

Ooooooooh for sure...

EDIT: I'm using Xorg server 1.5 :twisted: (but Xorg 7.3).
_________________
Gentoo addict: tomorrow I quit, I promise!... Just one more emerge...
1739!
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Thu Sep 18, 2008 5:53 pm    Post subject: Reply with quote

Have you tried TexturedVideo + Composite at the same time? Should work now. :)

Ok, so it lacks xorg-x11-7.4 support, but the list of corrected bugs is huge. There have also been WINE improvements, with more to come.

It seems AMD now actually focuses on Vista and Linux at the expense of XP. There are reports of severe problems with 780G chipsets and XP drivers which haven't been addressed in several driver revisions, yet are totally unknown in Vista or Linux.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Sep 19, 2008 1:38 am    Post subject: Reply with quote

About freezes with open source ati driver - I could have been meant before..., anyway - do you have nptl USE flag DISABLED in mesa/xorg-server? If not, disable nptl for those packages and rebuild mesa/xorg-server.
_________________
Maciek
Back to top
View user's profile Send private message
VinzC
Advocate
Advocate


Joined: 17 Apr 2004
Posts: 4987
Location: Dark side of the mood

PostPosted: Fri Sep 19, 2008 10:35 am    Post subject: Reply with quote

reavertm wrote:
About freezes with open source ati driver - I could have been meant before..., anyway - do you have nptl USE flag DISABLED in mesa/xorg-server? If not, disable nptl for those packages and rebuild mesa/xorg-server.

NPTL were already disabled (-nptl) in mesa and xorg-server while mesa was a release candidate and I still experienced system freezes. Someone else reported that downgrading to older mesa 6.8* did get rid of lockups.
_________________
Gentoo addict: tomorrow I quit, I promise!... Just one more emerge...
1739!
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Sep 19, 2008 5:01 pm    Post subject: Reply with quote

I doubt ... I'm using git versions (updated last week) of mesa and whole xorg as well as xf86-video-ati and I'm not experiencing any freezes nor lockups on Sapphire ATI x1950 Pro AGP 512MB.
_________________
Maciek
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 525
Location: Cape Town, South Africa

PostPosted: Mon Oct 06, 2008 6:29 am    Post subject: Reply with quote

a.b. wrote:
Catalyst 8.9 aka 8.532 has been released


Am doing a system update after several months... having a problem with this driver and xorg.

Previously, did
Code:

emerge -C ati-drivers 

because of the block below... was an attempted workaround.

Then did
Code:
 emerge -uvDN xorg-server

which appears to have worked fine.

However still have a problem (and no ati-drivers...)
Code:
gentoo / # emerge -puvDN ati-drivers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-drivers/ati-drivers-8.532  USE="-acpi -debug" 64,717 kB
[blocks B     ] x11-drivers/ati-drivers ("x11-drivers/ati-drivers" is blocking x11-base/xorg-server-1.5.1)

Total: 1 package (1 new), Size of downloads: 64,717 kB
Conflict: 1 block (1 unsatisfied)


So now what? :-)

Any advice gratefully accepted.

thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
twinkle
n00b
n00b


Joined: 24 Oct 2005
Posts: 12
Location: Israel

PostPosted: Mon Oct 06, 2008 9:20 am    Post subject: Reply with quote

Code:
gentoo / # emerge -puvDN ati-drivers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] x11-drivers/ati-drivers-8.532  USE="-acpi -debug" 64,717 kB
[blocks B     ] x11-drivers/ati-drivers ("x11-drivers/ati-drivers" is blocking x11-base/xorg-server-1.5.1)

Total: 1 package (1 new), Size of downloads: 64,717 kB
Conflict: 1 block (1 unsatisfied)




ATI drivers don't support xorg-server-1.5, you will have to downgrade your xorg-server if you want to use them.
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 525
Location: Cape Town, South Africa

PostPosted: Mon Oct 06, 2008 9:47 am    Post subject: Reply with quote

twinkle wrote:




ATI drivers don't support xorg-server-1.5, you will have to downgrade your xorg-server if you want to use them.


Okay, excuse the idiot question, but what are my alternatives to the ATI-drivers then?

I'm just worried that if I reboot I'm going to be left without X .... :-)

thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
twinkle
n00b
n00b


Joined: 24 Oct 2005
Posts: 12
Location: Israel

PostPosted: Mon Oct 06, 2008 10:00 am    Post subject: Reply with quote

I'm using the latest ati-drivers with xorg-server 1.3 with (mostly) no problems. Either that or you can use the open source ati driver.
Back to top
View user's profile Send private message
zebrapad
Tux's lil' helper
Tux's lil' helper


Joined: 12 Jul 2004
Posts: 83
Location: Leuven, Belgium

PostPosted: Sat Dec 13, 2008 7:15 pm    Post subject: Reply with quote

3/4 years ago I sold my ATI card in favor of NVidia, due to driver problems in Linux. Question: how is the state nowadays ? Are the 64bit drivers usable now ? Are they as easy as Nvidia: emerge ati-drivers and no worries ? I hope so because I would like to give the ATI 4870 a chance !
_________________
specs that may be relevant to my post: AMD Phenom II X3 720, NVidia GTX260, Gentoo Linux 64bit 2008.0, GCC 4.4.1, -march=amdfam10 -O2 -pipe
Back to top
View user's profile Send private message
unK
l33t
l33t


Joined: 06 Feb 2007
Posts: 769

PostPosted: Sat Dec 13, 2008 8:24 pm    Post subject: Reply with quote

Well, it's quite ok, I think. I have Radeon 4850, Gentoo x86_64, latest ati-drivers, xorg-1.5.2 and almost everything was working out of the box, I lost some time trying to get ati-drivers to compile, but the problem was in my kernel config probably (I modified kernel config, rebooted and then ati-drivers magically compiled so I suspect kernel config, but I'm not 100% sure). And there's a problem with tearing using xv output for playing videos, you need to use gl.
_________________
ncmpcpp - featureful ncurses based MPD client inspired by ncmpc
Back to top
View user's profile Send private message
p-hi
n00b
n00b


Joined: 06 Dec 2004
Posts: 61
Location: Canada

PostPosted: Mon Dec 15, 2008 5:05 am    Post subject: Reply with quote

zebrapad wrote:
Are they as easy as Nvidia: emerge ati-drivers and no worries ?

Sadly no. ATI drivers are currently has quite strict kernel/xorg version compatibility. There's also an (unresolved as far as I know) issue of flickering video playback if you plan to use compiz or the like.

All in all, still not as easy as nvidia-drivers.
Back to top
View user's profile Send private message
aw_99
n00b
n00b


Joined: 20 Dec 2006
Posts: 6

PostPosted: Mon Dec 15, 2008 9:33 am    Post subject: ati-drivers 8.12 Reply with quote

Ati released the version 8.12.

Are there any plans when it hits the portage tree?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4
Page 4 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum